function [prumer_sum,prumer_obraz]=nacitani_prumernych_obrazu
%[prumer_sum,prumer_obraz]=nacitani_prumernych_obrazu

%Funkce pro umožnění načtení vstupních obrazů pro výpočet průměrné hodnoty
%spekter obrazu rozděleného na sektory
%--------------------------------------------------------------------------
[FileName_sum,PathName_sum]=uigetfile( ...
{'*.bmp;*.jpg;*.tif;*.png;*.gif;*.mat','Data Files (*.mat,*.bmp,*.jpg,*.tif,*.png,*gif)';
'*.mat','MAT file(*.mat)'; ...   
'*.bmp',  'Bitmap (*.bmp)'; ...
   '*.jpg','JPEG (*.jpg)'; ...
   '*.tif','TIFF (*.tif)'; ...
   '*.png','PNG (*.png)'; ...
   '*.gif','GIFF (*.gif)'; ...
   '*.*',  'All Files (*.*)'}, ...
   'Načti obraz pro stanovení spektra šumu'); % načtení obrazu šumu
if strcmp(FileName_sum(end-3:end),'.mat');
    prumer_sum=load_variable_from_MAT(FileName_sum); %založeno z důvodu načítání .mat souboru
else
cesta_sum=[PathName_sum FileName_sum]; %načtení z obrazového souborového formátu
prumer_sum=im2double(rgb2gray(imread(cesta_sum)));
end

[FileName_obraz,PathName_obraz]=uigetfile( ...
{'*.bmp;*.jpg;*.tif;*.png;*.gif;*.mat','Data Files (*.mat,*.bmp,*.jpg,*.tif,*.png,*gif)';
'*.mat','MAT file(*.mat)'; ...   
'*.bmp',  'Bitmap (*.bmp)'; ...
   '*.jpg','JPEG (*.jpg)'; ...
   '*.tif','TIFF (*.tif)'; ...
   '*.png','PNG (*.png)'; ...
   '*.gif','GIFF (*.gif)'; ...
   '*.*',  'All Files (*.*)'}, ...
   'Načti obraz pro stanovení spektra restaurovaného obrazu');% načtení restaurovaného obrazu
if strcmp(FileName_obraz(end-3:end),'.mat');
    prumer_obraz=load_variable_from_MAT(FileName_obraz); %založeno z důvodu načítání .mat souboru
else
cesta_obraz=[PathName_obraz FileName_obraz];
prumer_obraz=im2double(rgb2gray(imread(cesta_obraz)));
end